Bug 1512529 - gcc: Backport -fstack-clash-protection support
Summary: gcc: Backport -fstack-clash-protection support
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeff Law
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1515868 1512531 1515865
TreeView+ depends on / blocked
 
Reported: 2017-11-13 12:43 UTC by Florian Weimer
Modified: 2018-02-06 15:32 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-06 10:50:43 UTC


Attachments (Terms of Use)

Description Florian Weimer 2017-11-13 12:43:25 UTC
We need this for downstream glibc builds, so that we do not regress in terms of hardening features.

If possible, I'd like to have this in Fedora 26 as well, where it would help writing the configure check for upstream glibc.

Comment 1 Jeff Law 2017-11-16 18:20:11 UTC
I ought to be able to tackle this next week if that's OK timing wise?  I've got most of the bits here and just need to layer on the fixes from the last couple weeks.

Comment 2 Florian Weimer 2017-11-16 18:32:16 UTC
(In reply to Jeff Law from comment #1)
> I ought to be able to tackle this next week if that's OK timing wise?  I've
> got most of the bits here and just need to layer on the fixes from the last
> couple weeks.

Next week would be great.  We should put it into redhat-rpm-config even before the F28 mass rebuild, maybe even for F27 and F26.

Comment 3 Jeff Law 2017-11-28 16:04:00 UTC
Official builds spinning.

Comment 4 Fedora Update System 2018-01-31 07:49:35 UTC
gcc-7.3.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-75d88970d0

Comment 5 Fedora Update System 2018-01-31 07:56:08 UTC
gcc-7.3.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa879be08e

Comment 6 Fedora Update System 2018-01-31 18:43:20 UTC
gcc-7.3.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa879be08e

Comment 7 Fedora Update System 2018-01-31 22:46:15 UTC
gcc-7.3.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-75d88970d0

Comment 8 Fedora Update System 2018-02-06 10:50:43 UTC
gcc-7.3.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-02-06 15:32:20 UTC
gcc-7.3.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.